//
// Communication Contention Model
//
// ccmod.h - Global definitions
//
// Stathis Papaefstathiou (efp@microsoft.com)
// Copyright (c) 2000 Microsoft Research Ltd. All rights reserved.
//


#ifndef _INC_CCMOD
#define _INC_CCMOD

#include "netsys.h"
#include "evaleng.h"
#include "otrace.h"
#include "workload.h"

//
// CCMOD exception error
//
class ccmod_error:public std::runtime_error {
 public:
    ccmod_error(int line, std::string type, std::string what);
    const char* what() const;
 private:
     std::string everr;
};

extern std::ostream &operator<<(std::ostream&,workload&);

#endif

