//
// Communication Contention Model
//
// ccmod.cpp - Error handling code
//
// Stathis Papaefstathiou (efp@microsoft.com)
// Copyright (c) 2000 Microsoft Research Ltd. All rights reserved.
//

#include <iostream>
#include <sstream>

#include "ccmod.h"

using namespace std;


// 
// Error Handling
//
ccmod_error::ccmod_error(int line, string type, string what): runtime_error("")
{
    ostringstream os;

    os << line << ":" << type << ":" << what;

    everr = os.str();
}

const char* ccmod_error::what() const
{
    return(everr.c_str());
}

// ----------------------------------------------------------------------

ostream &operator<<(ostream &os,workload &w)
{
	w.print(os);
	return os;
}
