//
// Communication Contention Model
//
// msg.cpp - Implementation of the static message class
//
// Stathis Papaefstathiou (efp@microsoft.com)
// Copyright (c) 2000 Microsoft Research Ltd. All rights reserved.
//

#include "msg.h"

using namespace std;

msg::msg(void)
{
	// Do nothing for the time being
}

msg::msg(int s, int t, long l)
{
	src = s;
	trg = t;
	len = l;
}

void msg::set(int s, int t, long l)
{
	src = s;
	trg = t;
	len = l;
}

void msg::print(ostream& os)
{
	os << "(" << src << "," << trg << "," << len << ")";
}

ostream &operator<<(ostream &os,msg &m)
{
	m.print(os);
	return os;
}

bool msg::operator==(msg& m1)
{
    if( m1.GetSrc() != src ||
        m1.GetTrg() != trg ||
        m1.GetLen() != len )
        return(false);

    return(true);
}

bool msg::operator!=(msg& m1)
{
    if( m1.GetSrc() != src ||
        m1.GetTrg() != trg ||
        m1.GetLen() != len )
        return(true);

    return(false);
}

